Package com.xebialabs.xlrelease.configuration

# Class ReleasePasswordSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.ReleasePasswordSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Passwords in tasks", description="This setting controls whether the Allow passwords in all fields feature is available for releases and templates. It allows password variables to be used in non-encrypted form in task fields, e.g., to pass credentials to third-party applications.\nNote: Enabling this option can expose sensitive data and should be used with caution.") public class ReleasePasswordSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PASSWORD_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleasePasswordSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getEnableAllowPasswordsInAllFields()`
  `void`
  `setEnableAllowPasswordsInAllFields(boolean enableAllowPasswordsInAllFields)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PASSWORD_SETTINGS_ID

    public static final String PASSWORD_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReleasePasswordSettings

    public ReleasePasswordSettings()

- ## Method Details

  - ### getEnableAllowPasswordsInAllFields

    public boolean getEnableAllowPasswordsInAllFields()

  - ### setEnableAllowPasswordsInAllFields

    public void setEnableAllowPasswordsInAllFields(boolean enableAllowPasswordsInAllFields)